MacroDef.Attribute (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: MacroDef, class: Attribute

Package org.apache.tools.ant.taskdefs

# Class MacroDef.Attribute

java.lang.Object
org.apache.tools.ant.taskdefs.MacroDef.Attribute

Enclosing class:
  MacroDef

    public static class MacroDef.Attribute
    extends java.lang.Object

An attribute for the MacroDef task.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Attribute()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(java.lang.Object obj)` | equality method
  `java.lang.String` | `getDefault()` |
  `java.lang.String` | `getDescription()` |
  `java.lang.String` | `getName()` |
  `int` | `hashCode()` |
  `boolean` | `isDoubleExpanding()` | Determines whether `RuntimeConfigurable.maybeConfigure(Project, boolean)` will reevaluate this property.
  `void` | `setDefault​(java.lang.String defaultValue)` | The default value to use if the parameter is not used in the templated instance.
  `void` | `setDescription​(java.lang.String desc)` |
  `void` | `setDoubleExpanding​(boolean doubleExpanding)` | See `isDoubleExpanding()` for explanation.
  `void` | `setName​(java.lang.String name)` | The name of the attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Attribute

    public Attribute()

- ## Method Details

  - ### setName

    public void setName​(java.lang.String name)
    The name of the attribute.
    Parameters:
      `name` - the name of the attribute

  - ### getName

    public java.lang.String getName()
    Returns:
      the name of the attribute

  - ### setDefault

    public void setDefault​(java.lang.String defaultValue)
    The default value to use if the parameter is not used in the templated instance.
    Parameters:
      `defaultValue` - the default value

  - ### getDefault

    public java.lang.String getDefault()
    Returns:
      the default value, null if not set

  - ### setDescription

    public void setDescription​(java.lang.String desc)
    Parameters:
      `desc` - Description of the element.
    Since:
      ant 1.6.1

  - ### getDescription

    public java.lang.String getDescription()
    Returns:
      the description of the element, or `null` if no description is available.
    Since:
      ant 1.6.1

  - ### setDoubleExpanding

    public void setDoubleExpanding​(boolean doubleExpanding)
    See `isDoubleExpanding()` for explanation.
    Parameters:
      `doubleExpanding` - true to expand twice, false for just once
    Since:
      Ant 1.8.3

  - ### isDoubleExpanding

    public boolean isDoubleExpanding()
    Determines whether `RuntimeConfigurable.maybeConfigure(Project, boolean)` will reevaluate this property. For compatibility reasons (#52621) it will, though for most applications (#42046) it should not.
    Returns:
      true if expanding twice (the default), false for just once
    Since:
      Ant 1.8.3

  - ### equals

    public boolean equals​(java.lang.Object obj)
    equality method
    Overrides:
      `equals` in class `java.lang.Object`
    Parameters:
      `obj` - an `Object` value
    Returns:
      a `boolean` value

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      a hash code value for this object.